// file: $isip/doc/examples/class/shell/shell_example_00/example.cc
// version: $Id: example.cc 6838 2001-04-27 02:30:06Z srivasta $
//

// isip include files
//
#include <Mel.h>
#include <Bark.h>
#include <Console.h>

// main program starts here
//
int main (int argc, const char **argv) {

  // declare a Mel and a Bark object
  //
  Mel mel_obj;
  Bark bark_obj;
  
  // declare the test variables
  //
  VectorFloat vec_input;
  vec_input.assign(L"100, 500, 1000, 1500");  
  
  // the result for Mel
  //
  VectorFloat vec_output_mel;

  // call Mel::compute method for mel transformations
  //
  mel_obj.compute(vec_output_mel, vec_input);
  vec_output_mel.debug(L"Output of Mel Transformation");
  
  // the result for Bark
  //
  VectorFloat vec_output_bark;

  // call Bark::compute method for bark transformations
  //
  bark_obj.compute(vec_output_bark, vec_input);
  vec_output_bark.debug(L"Output of Bark Transformation");

  // exit gracefully
  //
  Integral::exit();  
}
 
